<!-- 1/3/5分钟处置统计 -->
<template>
  <div>
    <div class="titleBoxs">
      <div class="title">1/3/5分钟处置统计</div>
      <div class="btnBox">
      </div>
    </div>
    <div class="content-box-sun">
      <!-- 组织机构盒子 -->
      <div class="org-box">
        <div class="org-content-box">
          <div class="tree-box" :style="{ height: orgHeight + 'px' }">
          <MOSTY.DepartmentTree
              width="100%"
              placeholder="管理部门ID"
              clearable
              filterable
              v-model="listQuery.deptId"
            />
          </div>
        </div>
      </div>
      <div class="right-box-sun">
          <div class="searchBox" ref="searchBox">
            <el-form :model="listQuery" :inline="true">
              <el-form-item>
                <el-date-picker
                v-model="value1"
                type="date"
                placeholder="请选择"
                :size="size"
              />
              </el-form-item>
              <el-form-item>
                <el-button @click="handleFilter"> 查询 </el-button>
                <el-button @click="reset()"> 重置 </el-button>
              </el-form-item>
            </el-form>
          </div>
          <div class="tabBox">
            <el-table
              :data="tableData"
              border
              row-key="id"
              style="width: 100%"
              :key="keyCount"
              :height="tableHeight"
              v-loading="loadingTable"
              element-loading-background="rgba(0,0,0,0.3)"
              element-loading-text="数据加载中。。"
              @selection-change="handleSelectionChange"
            >
              <el-table-column type="selection" width="40" align="center" />
              <el-table-column
                label="序号"
                type="index"
                align="center"
                width="80"
              />
              <el-table-column
                label="部门名称"
                prop="name"
                align="center"
              />
              <el-table-column
                label="快反点名称"
                prop="bz13"
                align="center"
              />
              <el-table-column label="巡组名称" width='150' prop="bz1" align="center" />
              <el-table-column label="巡逻时间" width='150' prop="bz2" align="center" />
              <el-table-column label="巡逻车辆" width='150' prop="bz3" align="center" />
              <el-table-column label="负责人" width='150' prop="bz4" align="center" />
              <el-table-column label="巡逻时长" width='150' prop="bz5" align="center" />
              <el-table-column label="巡逻里程" width='150' prop="bz6" align="center" />
              <el-table-column label="接收警情数" width='150' prop="bz7" align="center" />
              <el-table-column label="处置警情数" width='150' prop="bz8" align="center" />
              <el-table-column label="处置率" width='150' prop="czl" align="center" />
              <el-table-column label="接收指令数" width='150' prop="bz9" align="center" />
              <el-table-column label="执行指令数" width='150' prop="bz10" align="center" />
              <el-table-column label="盘查人员数" width='150' prop="bz11" align="center" />
              <el-table-column label="盘查车辆数" width='150' prop="bz12" align="center" />
              <el-table-column
                label="操作"
                align="center"
                fixed="right"
                width="150px"
              >
                <template #default="{ row }">
                  <el-button @click="detail(row)" size="small">详情</el-button>
                </template>
              </el-table-column>
            </el-table>
            <div class="fenye" :style="{ top: tableHeight + 'px' }">
              <el-pagination
                class="pagination"
                @size-change="handleSizeChange"
                @current-change="handleCurrentChange"
                :current-page="listQuery.pageCurrent"
                :page-sizes="[10, 20, 50, 100]"
                :page-size="listQuery.pageSize"
                layout="total, sizes, prev, pager, next, jumper"
                :total="total"
              >
              </el-pagination>
            </div>
          </div>

      </div>
    </div>
    <div class="dialog" v-if="dialogFormVisible">
      <div class="head_box">
        <span class="title">{{ title }}</span>
        <div>
          <el-button size="small" @click="close">关闭</el-button>
        </div>
      </div>
      <el-form
        ref="elform"
        :model="form"
        :rules="rules"
        :inline="true"
        label-position="top"
      >
        <el-form-item label="部门名称" prop="name">
          <el-input v-model="form.name"></el-input>
        </el-form-item>
        <el-form-item label="快反点名称" prop="bz13">
          <el-input v-model="form.bz13"></el-input>
        </el-form-item>
        <el-form-item label="巡逻时间" prop="bz1">
          <el-input v-model="form.bz1"></el-input>
        </el-form-item>
        <el-form-item label="巡逻车辆" prop="bz2">
          <el-input v-model="form.bz2"></el-input>
        </el-form-item>
        <el-form-item label="负责人" prop="bz3">
          <el-input v-model="form.bz3"></el-input>
        </el-form-item>
        <el-form-item label="巡逻时长" prop="bz4">
          <el-input v-model="form.bz4"></el-input>
        </el-form-item>
        <el-form-item label="巡逻里程" prop="bz5">
          <el-input v-model="form.bz5"></el-input>
        </el-form-item>
        <el-form-item label="接收警情数" prop="bz6">
          <el-input v-model="form.bz6"></el-input>
        </el-form-item>
        <el-form-item label="处置警情数" prop="bz7">
          <el-input v-model="form.bz7"></el-input>
        </el-form-item>
        <el-form-item label="接收指令数" prop="bz8">
          <el-input v-model="form.bz8"></el-input>
        </el-form-item>
        <el-form-item label="执行指令数" prop="bz10">
          <el-input v-model="form.bz10"></el-input>
        </el-form-item>
        <el-form-item label="盘查人员数" prop="bz11">
          <el-input v-model="form.bz11"></el-input>
        </el-form-item>
        <el-form-item label="盘查车辆数" prop="bz12">
          <el-input v-model="form.bz12"></el-input>
        </el-form-item>
      </el-form>
    </div>
  </div>
</template>
<script setup>
import * as MOSTY from "@/components/MyComponents/index";
import { selectDeptPage } from "@/api/user-manage";
import { ref, getCurrentInstance, onMounted, reactive } from "vue";
const { proxy } = getCurrentInstance();

const keyCount = ref(0); //tabel组件刷新值
const form = ref({}); //新增表单
const tableData = ref([]); //表格数据
const total = ref(0);
const chackAdd = ref(false); //新增修改切换
const loading = ref(false); //新增保存按钮截流
const ids = ref([]); //表格选中id集合
const searchBox = ref(null); //搜索盒子
const loadingTable = ref(true); //表格加载状态
const tableHeight = ref(); // 表格高度
const dialogFormVisible = ref(false);
const title = ref("新增"); //弹窗标题
const elform = ref(null); //新增表单容器
const listQuery = ref({
  pageCurrent: 1,
  pageSize: 10
}); //搜索表单
//表单验证
const rules = ref({
  name: [{ required: true, message: "请输入名称", trigger: "change" }]
});
// 部门树
const defaultProps = {
  children: 'childDeptList',
  label: 'orgName',
}
const orgList = ref([])

function handleNodeClick(val){

}
// 获取列表
function getListData() {
  tableData.value = [];
  loadingTable.value = true;
  setTimeout(() => {
    tableData.value = [
      { name: "高新区分局", 
      bz1: "今日巡组01",
      bz2: "677",
      bz3: "110",
      bz4: "张三丰",
      bz5: "12",
      bz6: "123",
      bz7: "89",
      bz8: "88",
      bz9: "12",
      bz10: "10",
      bz11: "25",
      bz12: "44",
      bz13: "今日过高快返点",
      czl:'10%' },
    ];
    loadingTable.value = false;
    total.value = tableData.value.length
  }, 1500);
}
//打开新增弹窗
function add() {
  chackAdd.value = true;
  dialogFormVisible.value = true;
}
//关闭弹窗
function close() {
  dialogFormVisible.value = false;
  form.value = {};
}
//提交
function submit() {
  elform.value.validate((valid) => {
    if (valid) {
      loading.value = true;
      setTimeout(() => {
        loading.value = false;
      }, 1500);
      if (chackAdd.value) {
        proxy.$message({
          type: "success",
          message: "新增成功"
        });
      } else {
        proxy.$message({
          type: "success",
          message: "修改成功"
        });
      }
    }
  });
}
//修改
function detail(row) {
  // API(row.id).then((res) => {
  //   form.value = res;
  // });
  chackAdd.value = false;
  form.value = row;
  title.value = "详情";
  dialogFormVisible.value = true;
}
//批量数据
const handleSelectionChange = (val) => {
  ids.value = [];
  if (val) {
    val.forEach((item) => {
      ids.value.push(item.id);
    });
  }
};
//删除
function delDictItem(row) {
  proxy
    .$confirm("确定要删除", "警告", {
      type: "warning"
    })
    .then(() => {
      // DELETE([row.id]).then(() => {
      //   proxy.$message({
      //     type: "success",
      //     message: "删除成功"
      //   });
      //   getListData();
      // });
    })
    .catch(() => {
      proxy.$message.info("已取消");
    });
}
//批量删除
function batchDelete() {
  proxy
    .$confirm("确定要删除", "警告", {
      type: "warning"
    })
    .then(() => {
      //       DELETE(ids.value).then((res) => {
      //         proxy.$message({
      //           message: "删除成功",
      //           type: "success"
      //         });
      //         getListData();
      //       });
    })
    .catch(() => {
      proxy.$message.info("已取消");
    });
}
//点击查询
const handleFilter = () => {
  listQuery.value.pageCurrent = 1;
  getListData();
};
//点击重置
const reset = () => {
  listQuery.value = {
    pageCurrent: 1,
    pageSize: 10
  };
  getListData();
};
// 表格高度计算
const orgHeight = ref()
const tabHeightFn = () => {
 tableHeight.value = window.innerHeight - searchBox.value.offsetHeight - 240;
  orgHeight.value = window.innerHeight - 192;
};
/**
 * pageSize 改变触发
 */
const handleSizeChange = (currentSize) => {
  listQuery.value.pageSize = currentSize;
  getListData();
};

/**
 * 页码改变触发
 */
const handleCurrentChange = (currentPage) => {
  listQuery.value.pageCurrent = currentPage;
  getListData();
};
onMounted(() => {
  getListData();
  tabHeightFn();
  window.onresize = function () {
    tabHeightFn();
  };
  proxy.mittBus.on("mittFn", (data) => {
    keyCount.value = data;
  });
});
</script>
<style lang="scss" scoped>
@import "~@/assets/css/layout.scss";
@import "~@/assets/css/element-plus.scss";
.chart-box{
  height: 280px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.text-box{
  height: 160px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.text-item{
  width: 140px;
  display: flex;
  justify-content: space-between;
}
.text-color{
  color: rgb(181, 1, 1);
}
</style>
